Feature: Provide a cli
  In order to ease the general migration tasks
  As a programmer 
  I want to just have a cli that i can use for migration tasks

Background:
 Given a fresh database named "test.db"
 And a directory named "migrations"
 And a file named "nomads.config" with:
  """
  ((nomads
  (migration-directory "migrations")
  (database 
    (adapter sqlite)
    (credentials "test.db"))))
  """

@wip
Scenario: Successfully migrate up
 Given a file named "migrations/1-create-lizards.scm" with:
 """
 ((UP "CREATE TABLE lizards  (name string)")
  (DOWN "DROP TABLE lizards"))
 """
 When I successfully run `nomads migrate -u`
 Then the output should contain:
 """
 [1][up] create-lizards ......................... OK
 """


#Scenario: Successfully migrate down

#Scenario: Nothing to migrate
#Scenario: Migrate down with irreversible migration
#Scenario: Migrate non-existent version
#Scenario: Dublicate migrations  
